#include <Wire.h>  
#include <DS1307new.h>    // Unsere Uhr

// ********************************************* //
//                 VARIABLES                     //
// ********************************************* //
uint16_t startAddr = 0x0000;            // Start address to store in the NV-RAM
uint16_t lastAddr;                      // new address for storing in NV-RAM
uint16_t TimeIsSet = 0xaa55;            // Helper that time must not set again

float timestamp = 0;

// Hilfe für Loop ohne Delay -> mach nur was wenn es eine neue Sekunde ist
int loopTime =0;

// ********************************************* //
//       Sensor Variablen und Pin Layout         //
// ********************************************* //

int pumpD1=27;
int pumpD2=28;
int pumpD3=29;
int pumpD4=30;
int pumpD5=31;
int pumpD1State=LOW;
int pumpD2State=LOW;
int pumpD3State=LOW;
int pumpD4State=LOW;
int pumpD5State=LOW;

// ********************************************* //
//                   Main Code                   //
// ********************************************* //


void setup() {
  Serial.begin(9600);    // Ausgabe am PC
  pinMode(2, INPUT);                    // Test of the SQW pin, D2 = INPUT
  digitalWrite(2, HIGH);                // Test of the SQW pin, D2 = Pullup on
  
  
  pinMode(pumpD1, OUTPUT);
  pinMode(pumpD2, OUTPUT);
  pinMode(pumpD3, OUTPUT);
  pinMode(pumpD4, OUTPUT);
  pinMode(pumpD5, OUTPUT);
  
}

void loop() {
	RTC.getTime();

	if(loopTime !=int(RTC.second)){
	    loopTime =int(RTC.second);
		Serial.println (printTime());
		Serial.println (printDate());
        }
}
